Ubuntu 9.04 .deb i386 error

Discussion in 'Computer Games and General Discussion' started by Vidboy10, Jul 12, 2009.

  1. Vidboy10
    OP

    Vidboy10 Tsardom

    Member
    2,617
    7
    Dec 15, 2008
    Canada
    Vancouver, B.C
    Hey guys i downloaded Ubuntu 9.04 (via wubi) just for the hell of it and i cant install .deb packages. it says this when i open it,

    Error: Wrong architecture 'i386'

    Help?

    Edit: BTW i searched this on google and nothing good came up
     
  2. blitzer320

    blitzer320 GBAtemp Fan

    Member
    370
    0
    Sep 29, 2008
    United States
    NYC
    what version of linux do you have now and is it 32 or 64 bit
     
  3. Vidboy10
    OP

    Vidboy10 Tsardom

    Member
    2,617
    7
    Dec 15, 2008
    Canada
    Vancouver, B.C
    Dude..... read.... I said i was on ubuntu 9.04. and i think it 32 bit but my MacPro is 64-bit.
     
  4. Quick-zeno

    Quick-zeno GBAtemp Regular

    Member
    151
    1
    Jun 14, 2009
    Canada
    Its saying you have the wrong processor, is it a power mac?
    Or what.
     
  5. zero383

    zero383 GBAtemp Advanced Fan

    Member
    649
    0
    Apr 4, 2009
    Canada
    Vancouver - #1 City in Canada
    If you downloaded the 32bit version you must install 32bit software. Doesn't matter what you're CPU is.
     
  6. Crass

    Crass Rock me Dr. Zaius

    Member
    999
    124
    Nov 3, 2006
    United States
    Oregon
    What are you trying to install?
     
  7. Vidboy10
    OP

    Vidboy10 Tsardom

    Member
    2,617
    7
    Dec 15, 2008
    Canada
    Vancouver, B.C
    Crossover Chromium.

    EDIT: Since im having another Ubuntu problem ill say this too.
    I have Wine installed but when i download stuff like iTunes and Safari it says theyre was an error while installing.
     
  8. piratesmack

    piratesmack GBAtemp Advanced Fan

    Member
    787
    0
    Mar 28, 2009
    United States
    $(pwd)
    Wubi will automatically download the 64-Bit version if your processor supports it.

    You can run 32-Bit software on Ubuntu 64-Bit if you have the needed 32-Bit libraries installed.
    I'm not sure what the dependencies of Crossover Chromium are, probably the same as Wine.

    You can force the deb to install with something like:
    Code:
    sudo dpkg --force-architecture -i *.deb
     
  9. Vidboy10
    OP

    Vidboy10 Tsardom

    Member
    2,617
    7
    Dec 15, 2008
    Canada
    Vancouver, B.C
    You type that in terminal or something? Sorry if i sound retarded im just double checking.
     
  10. piratesmack

    piratesmack GBAtemp Advanced Fan

    Member
    787
    0
    Mar 28, 2009
    United States
    $(pwd)

    Yes

    Make sure you run it in the same directory that the deb is in. (If you're not sure, just copy the deb into your home folder and run that command)
     
  11. Vidboy10
    OP

    Vidboy10 Tsardom

    Member
    2,617
    7
    Dec 15, 2008
    Canada
    Vancouver, B.C
    Thanks man! that did the trick!